Subject: bug#46981: Severe Emacs shell mode performance regression in recent Linux-libre

From: Mark H Weaver <[email-masked]>
Date: Sat, 06 Mar 2021 21:54:42 -0500

Mark H Weaver <[email-masked]> writes:

> FYI, for those who use Emacs shell mode (M-x shell), I wanted to give a
> heads-up about a severe performance regression in Linux-libre 5.10.20,
> and I suspect the same regression exists in 5.11.3.
>
> For details, see the bug report I submitted to the Emacs developers,
> here: <https://bugs.gnu.org/46978>.

I've since confirmed that reverting the two upstream commits mentioned
in <https://bugs.gnu.org/46978> fixes the performance regression.  I've
attached a preliminary patch for Guix that reverts those upstream
commits for [email-masked], and which I've tested on my system.

I guess that the same fix is also needed for [email-masked], but I've
not checked.  I'll leave it to others to try applying the same reverts
to 5.11.3 if they wish, and to decide what (if anything) should be done
in Guix about this issue.

      Mark